# Company check

This endpoint is used to create a **company background check** or **company credit history check**.

{% hint style="danger" %}
**Important**: To request a credit history check for a company in Colombia, please [contact the sales team](https://zapsign.co/contact-sales) to activate this feature.
{% endhint %}

<mark style="color:blue;">`POST`</mark> `https://api.zapsign.com.br/api/v1/checks/`&#x20;

#### Header

<table><thead><tr><th width="175">Nombre</th><th width="103">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>API token prefixed with the word "Bearer". Example: Bearer c7f35c84-xxxx</td></tr></tbody></table>

#### Reqeust Body

<table><thead><tr><th width="155">Nombre</th><th width="131">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>country<mark style="color:red;">*</mark></td><td>string</td><td>BR | CO | MX . Más detalle de consultas disponibles <a href="/pages/jjPd2IcUVgpFwJKirqoL">haz clic aqui</a></td></tr><tr><td>type<mark style="color:red;">*</mark></td><td>string</td><td>Type of check: <code>company"</code>, <code>"credit_company_co"</code>, <code>"credit_company_br"</code>. <a href="/pages/eDXKCyr166dIohdQC5UP">Click here</a> for more details.</td></tr><tr><td>user_authorized<mark style="color:red;">*</mark></td><td>boolean</td><td>Indicates whether the company authorized the check. Must be true to proceed.</td></tr><tr><td>force_creation</td><td>boolean</td><td>If true, forces the creation of a new background check even if a result already exists. If false, returns the previously created check result if available.</td></tr><tr><td>tax_id<mark style="color:red;">*</mark></td><td>string</td><td>Official company identification number (e.g., RUT, CNPJ, RFC).</td></tr><tr><td>company_name</td><td>string</td><td>Company name. If provided, international databases will be consulted for more detailed results.</td></tr><tr><td>observers</td><td>array&#x3C;string></td><td>Represents background check observers (limit 20), i.e. email addresses that will be notified when the background check is completed. It's an array of strings.</td></tr></tbody></table>

{% hint style="warning" %}
Each background check has an additional cost depending on the type of check. To top up your account, go to your user dashboard and navigate to Plans and Pricing > Credits.

Company check in CO, BR, CL, and PE: 90 credits (USD $1.80)

Company check in MX: 130 credits (USD $2.60)

Company credit history check in CO and BR: 200 credits (USD $4.00)
{% endhint %}

#### Request&#x20;

```json
{
    "user_authorized": true,
    "force_creation": true,
    "type": "company",
    "country": "CO",
    "taxl_id": "11111111"
}
```

#### Response

```json
{
    "check_id": "CHK682a755bb7135140248cc8dd1d290a01",
    "status": "not_started",
    "company_name": "",
    "full_name": "",
    "first_name": "",
    "last_name": "",
    "date_of_birth": null,
    "issue_date": null,
    "national_id": "",
    "foreign_id": "",
    "tax_id": "1111111",
    "country": "CO",
    "native_country": "",
    "check_type": "company",
    "lang": "es",
    "region": "",
    "created_at": "2025-03-28T17:49:43.363416Z",
    "last_update_at": "2025-03-28T17:49:43.363435Z"
}
```

**Reminder:** The results of a check may take between 2 and 20 minutes.\
To retrieve the results, you can use:

* The [**Check Details**](/english/check-detail.md) endpoint
* The [**Retrieve Check**](/english/check-status.md) endpoint
* The [**Check Completed**](/english/webhooks/eventos/checks/background-check-completed.md) webhook


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/create-check/company_check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
